/************************************************************************
 *   IRC - Internet Relay Chat, include/sock.h
 *   Copyright (C) 1990 Jarkko Oikarinen and
 *                      University of Oulu, Computing Center
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * $Id: sock.h,v 1.1.1.1 2001/04/11 19:32:39 rissy Exp $
 *
 * $Log: sock.h,v $
 * Revision 1.1.1.1  2001/04/11 19:32:39  rissy
 *
 *
 *
 * pre13 release - please see CHANGES for a list of changes.
 *
 * Can all coders use this as a base for patches, we intend to make .pre12
 * retired some time in the close future.
 *
 *
 *
 *
 * Revision 1.1.1.1  2001/03/18 19:48:21  rissy
 *
 *
 * AustHEX IRCD With the nostats patch.  Restricts most /stats and /map to +o clients only.
 *
 *
 * Revision 1.1.1.1  2001/03/17 21:34:40  james
 * austhex
 *
 * Revision 1.1.1.1  1996/05/05 22:25:20  klmitch
 * initial entry
 *
 * Revision 6.1  1991/07/04  21:04:35  gruner
 * Revision 2.6.1 [released]
 *
 * Revision 6.0  1991/07/04  18:05:04  gruner
 * frozen beta revision 2.6.1
 *
 */

#ifndef FD_ZERO
#define FD_ZERO(set)      (((set)->fds_bits[0]) = 0)
#define FD_SET(s1, set)   (((set)->fds_bits[0]) |= 1 << (s1))
#define FD_ISSET(s1, set) (((set)->fds_bits[0]) & (1 << (s1)))
#define FD_SETSIZE        30
#endif
